<?php
class install_check_platform{


function check()
{
$return = true;
if (version_compare(phpversion(), REQUIRE_PHP_VERSION, '>='))
echo 'PHP '.phpversion().' [OK]<br />';
else
{
$return = false;
echo 'PHP '.phpversion().' [ERR] (Требуется >= '.REQUIRE_PHP_VERSION.')<br />';
}

if (function_exists('mysql_info'))
{
echo 'MySQL [OK]<br />';
}
else
{
$return = false;
echo 'MySQL [ERR]<br />';
}

if (function_exists('gd_info'))
{
echo 'GD [OK]<br />';
}
else
{
$return = false;
echo 'GD [ERR]<br />';
}

if (function_exists('curl_init'))
{
echo 'cURL [OK]<br />';
}
else
{
$return = false;
echo 'cURL [ERR]<br />';
}

if (function_exists('set_time_limit'))
{
echo "set_time_limit() [OK]<br />\n";
}
else
{
echo "set_time_limit() [ERR]<br />\n";
}






if (function_exists('mb_internal_encoding') && function_exists('iconv'))
{
echo 'mbstring и Iconv [OK]<br />';
}
elseif (!function_exists('mb_internal_encoding') && !function_exists('iconv'))
{
echo 'mbstring и Iconv отсутствуют<br />';
$return = false;
}
elseif (function_exists('mb_internal_encoding'))
{
echo 'mbstring [OK]<br />';
}
elseif (function_exists('iconv'))
{
echo 'Iconv [OK]<br />';
}

if (class_exists('ffmpeg_movie'))
{
echo "FFmpeg [OK]<br />\n";
}
else
{
echo "FFmpeg: [Отсутствует]<br />\n";
echo "* Без FFmpeg автоматическое создание скриношотов к видео недоступно<br />\n";
}



if (ini_get('session.use_trans_sid'))
{
echo "session.use_trans_sid [OK]<br />\n";
}
else
{
$return = false;
echo "session.use_trans_sid [ERR]<br />\n";
echo 'Будет теряться сессия на браузерах без поддержки COOKIE';
echo 'Добавьте в корневой .htaccess строку <b>php_value session.use_trans_sid 1</b>';
}

if (ini_get('magic_quotes_gpc')==0)
{
echo "<span class='on'>magic_quotes_gpc: 0 [OK]</span><br />\n";
}
else
{
$return = false;
echo "magic_quotes_gpc: Включено [ERR]<br />\n";
echo 'Включено экранирование кавычек';
echo 'Добавьте в корневой .htaccess строку <b>php_value magic_quotes_gpc 0</b>';
}

if (ini_get('arg_separator.output')=='&amp;')
{
echo "arg_separator.output: &amp;amp; [OK]<br />\n";
}
else
{
$return = false;
echo "arg_separator.output: ".output_text(ini_get('arg_separator.output'))." [ERR]<br />\n";
echo 'Возможно появление ошибки xml';
echo 'Добавьте в корневой .htaccess строку <b>php_value arg_separator.output &amp;amp;</b>';
}



return $return;
}



function actions()
{
return $this->check();
}


function form()
{
$ok = $this->check();
if ($ok)echo "Все зависимости удовлетворены<br />";
return $ok;
}








}
?>
